Skip to main content
GET
/
v1
/
tasks
/
{id}
/
results
Task Result
curl --request GET \
  --url https://sdk.nimbleway.com/v1/tasks/{id}/results \
  --header 'Authorization: Bearer <token>'
{
  "url": "https://www.example.com/",
  "task_id": "e8ed8ef6-2657-43ba-98d5-a5c79ea7b551",
  "status": "success",
  "status_code": 200,
  "data": {
    "html": "...",
    "markdown": "MARKDOWN",
    "parsing": {},
    "cookies": {},
    "screenshot": "iVBORw0KGgoAAAANSUhEUgAAA...",
    "fetch_request": [],
    "network_capture": [],
    "browser_actions": [],
    "headers": {}
  },
  "metadata": {
    "query_time": "2026-02-09T10:26:05.817Z",
    "query_duration": 1877,
    "response_parameters": {
      "input_url": "https://www.example.com/"
    },
    "driver": "vx8"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The unique identifier of the async task

Example:

"8e8cfde8-345b-42b8-b3e2-0c61eb11e00f"

Response

Async Task Results

url
string<uri>
required

The URL that was extracted

task_id
string<uuid>
required

Unique identifier for the extraction task

status
enum<string>
required

Status of the extraction

Available options:
success,
failed
status_code
integer
required

HTTP status code from the target website

data
object
required

Data from the extraction

metadata
object
required

Metadata from the extraction

warnings
string[]

List of warnings